Update a webhook endpoint
curl --request PUT \
--url https://api.synci.io/managed/v1/webhooks/{webhookId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"enabled": true,
"events": [],
"omit_sensitive_identifiers": true,
"financial_accounts": "<string>",
"payload_version": "<string>",
"type": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
description: '<string>',
enabled: true,
events: [],
omit_sensitive_identifiers: true,
financial_accounts: '<string>',
payload_version: '<string>',
type: '<string>'
})
};
fetch('https://api.synci.io/managed/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/managed/v1/webhooks/{webhookId}"
payload = {
"url": "<string>",
"description": "<string>",
"enabled": True,
"events": [],
"omit_sensitive_identifiers": True,
"financial_accounts": "<string>",
"payload_version": "<string>",
"type": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/managed/v1/webhooks/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'description' => '<string>',
'enabled' => true,
'events' => [
],
'omit_sensitive_identifiers' => true,
'financial_accounts' => '<string>',
'payload_version' => '<string>',
'type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/managed/v1/webhooks/{webhookId}"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"enabled\": true,\n \"events\": [],\n \"omit_sensitive_identifiers\": true,\n \"financial_accounts\": \"<string>\",\n \"payload_version\": \"<string>\",\n \"type\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Webhook endpoint updated.",
"data": {
"id": "<string>",
"url": "<string>",
"description": "<string>",
"enabled": "<string>",
"type": "<string>",
"omit_sensitive_identifiers": "<string>",
"events": "<string>",
"payload_version": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"financial_accounts": "<string>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"secret": "<string>"
}
}{
"message": "<string>",
"errors": {}
}Update a webhook endpoint
PUT
/
webhooks
/
{webhookId}
Update a webhook endpoint
curl --request PUT \
--url https://api.synci.io/managed/v1/webhooks/{webhookId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"enabled": true,
"events": [],
"omit_sensitive_identifiers": true,
"financial_accounts": "<string>",
"payload_version": "<string>",
"type": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
description: '<string>',
enabled: true,
events: [],
omit_sensitive_identifiers: true,
financial_accounts: '<string>',
payload_version: '<string>',
type: '<string>'
})
};
fetch('https://api.synci.io/managed/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/managed/v1/webhooks/{webhookId}"
payload = {
"url": "<string>",
"description": "<string>",
"enabled": True,
"events": [],
"omit_sensitive_identifiers": True,
"financial_accounts": "<string>",
"payload_version": "<string>",
"type": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/managed/v1/webhooks/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'description' => '<string>',
'enabled' => true,
'events' => [
],
'omit_sensitive_identifiers' => true,
'financial_accounts' => '<string>',
'payload_version' => '<string>',
'type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/managed/v1/webhooks/{webhookId}"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"enabled\": true,\n \"events\": [],\n \"omit_sensitive_identifiers\": true,\n \"financial_accounts\": \"<string>\",\n \"payload_version\": \"<string>\",\n \"type\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Webhook endpoint updated.",
"data": {
"id": "<string>",
"url": "<string>",
"description": "<string>",
"enabled": "<string>",
"type": "<string>",
"omit_sensitive_identifiers": "<string>",
"events": "<string>",
"payload_version": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"financial_accounts": "<string>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"secret": "<string>"
}
}{
"message": "<string>",
"errors": {}
}Authorizations
Username = your client id. Password = your client secret.
So the base64-encoded username:password described below is
client_id:client_secret:
Authorization: Basic base64(YOUR_CLIENT_ID:YOUR_CLIENT_SECRET)
Most HTTP clients build that header for you:
curl -u "YOUR_CLIENT_ID:YOUR_CLIENT_SECRET" \
https://api.synci.io/managed/v1/users
Both values come from Developers → Apps → your app. The
secret is shown once at creation and is prefixed oac_.
Path Parameters
Body
application/json
The HTTPS URL that will receive event deliveries.
Maximum string length:
512Optional label to help you identify the endpoint.
Maximum string length:
255Whether the endpoint receives deliveries.
The event types this endpoint should receive. Legacy
bank_account.* aliases are not available on this surface.
Minimum array length:
1Available options:
transactions.created, transactions.updated, balance.updated, holdings.updated, account.created, account.updated, account.deleted, connection.created, connection.activated, connection.reauthorized, connection.expiring, connection.expired, connection.failing, connection.recovered, connection.disabled, connection.deleted, portal.user.verified When true, sensitive account identifiers (IBAN/BBAN) are omitted from delivered payloads.